## syslog-ng 2.1.4

=== debian/changelog ===
syslog-ng (2.1.4) syslogng21; urgency=low

  * New upstream version.

 -- BalaBit Development Team <devel@balabit.hu>  Tue, 17 Mar 2009 13:40:08 +0100

Local variables:
mode: debian-changelog
End:

## syslog-ng 3.0.4

=== debian/changelog ===
syslog-ng (3.0.4) syslogng30; urgency=low

  * New upstream version.

 -- BalaBit Development Team <devel@balabit.hu>  Wed, 05 Aug 2009 19:32:25 +0200

Local variables:
mode: debian-changelog
End:

## syslog-ng 3.0.6

=== debian/changelog ===
syslog-ng (3.0.6) syslogng30; urgency=low

  * New upstream version.

 -- BalaBit Development Team <devel@balabit.hu>  Sun, 11 Apr 2010 10:55:42 +0200

Local variables:
mode: debian-changelog
End:

=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Christoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DH_COMPAT=3

DDEBUG=`if (echo $(DEB_BUILD_OPTIONS) | grep -q debug) then \
			echo "--enable-debug"; \
		else \
			echo "--disable-debug"; \
		fi`

build: build-stamp
build-stamp:
	dh_testdir

	./configure --prefix=/ \
               $(DDEBUG) \
               --mandir=/usr/share/man \
               --sysconfdir=/etc/syslog-ng \
	       --localstatedir=/var/lib/syslog-ng
	# Add here commands to compile the package.

	$(MAKE) 

#	(cd doc/sgml; $(MAKE) syslog-ng.html.tar.gz)

	touch build-stamp
clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=`pwd`/debian/tmp

	dh_movefiles

	install -d -m 755 debian/syslog-ng/etc/default
	install -m 644 debian/syslog-ng.default debian/syslog-ng/etc/default/syslog-ng
	install -d -m 700 debian/syslog-ng/etc/syslog-ng
	install -m 644 debian/syslog-ng.conf debian/syslog-ng/etc/syslog-ng

#	install -d -m 700 debian/syslog-ng/etc/logcheck/ignore.d.paranoid
#	install -m 644 debian/syslog-ng.logcheck.ignore debian/syslog-ng/etc/logcheck/ignore.d.paranoid/syslog-ng
#	install -d -m 700 debian/syslog-ng/etc/logcheck/ignore.d.server
#	install -m 644 debian/syslog-ng.logcheck.ignore debian/syslog-ng/etc/logcheck/ignore.d.server/syslog-ng
#	install -d -m 700 debian/syslog-ng/etc/logcheck/ignore.d.workstation
#	install -m 644 debian/syslog-ng.logcheck.ignore debian/syslog-ng/etc/logcheck/ignore.d.workstation/syslog-ng

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installemacsen
	dh_installinit -r --no-start --name syslog-ng -- defaults 10 90
#	dh_installcron
	dh_installlogrotate --name syslog-ng
#	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs ChangeLog
#	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here
#	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## syslog-ng 3.0.8

=== debian/changelog ===
syslog-ng (3.0.8) syslogng30; urgency=low

  * New upstream version.

 -- BalaBit Development Team <devel@balabit.hu>  Fri, 09 Jul 2010 10:26:24 +0200

Local variables:
mode: debian-changelog
End:

## syslog-ng 3.1.2

=== debian/changelog ===
syslog-ng (3.1.2-1) unstable; urgency=low

  * New upstream release. 
  * Update to Standards-Version 3.9.1 .
  * Build depend on libcap-dev to add capability support on Linux archs.
  * Disable statistics logging (closes: #586749) and restore logging to
    /var/log/syslog .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Wed, 04 Aug 2010 17:17:51 +0000

syslog-ng (3.1.1-3) unstable; urgency=low

  * Update initscript not to fail if syslog-ng is already running or stopped.
  * Don't just enable SSL support, but make it really built.
  * Don't leave files behind on remove and purge.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sat, 29 May 2010 07:38:34 +0000

syslog-ng (3.1.1-2) unstable; urgency=low

  * Add missing messages filter and add rotate of error log (closes: #579620).
  * Enable SSL support.
  * Update debian/copyright and add OpenSSL exception.
  * Enable support for spoofed source addresses and for TCP wrappers.
  * Suggest libdbd-mysql, libdbd-pgsql and libdbd-sqlite3 for SQL logging
    (closes: 582948).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 23 May 2010 09:41:25 +0000

syslog-ng (3.1.1-1) unstable; urgency=low

  * New upstream release. 
  * Correct program_override for kernel messages (closes: #576550).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sat, 17 Apr 2010 10:35:50 +0000

syslog-ng (3.1.0-1) unstable; urgency=low

  * New upstream release.
  * Fix path of syslog logfile (closes: #575722) and use tty10 instead of
    vc/10 to log on console.
  * Provide syslog-ng in initscript (closes: #575723).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 28 Mar 2010 19:47:36 +0000

syslog-ng (3.0.5-3) unstable; urgency=low

  * Correct log socket path on kFreeBSD (closes: #574781).
  * Clean up packaging a bit, correct watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 21 Mar 2010 19:49:48 +0000

syslog-ng (3.0.5-2) unstable; urgency=low

  * Updated configuration to be 3.0 compilant (closes: #574496) and use
    source, destination and filter prefixes in their names.
  * Update logcheck ignore file (closes: #499526), thanks to Gábor Gombás.
  * Version 3.0 is available in Sid now (closes: #556941).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Fri, 19 Mar 2010 17:09:49 +0000

syslog-ng (3.0.5-1) unstable; urgency=low

  * New upstream release, new maintainer.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 14 Mar 2010 12:57:49 +0000

syslog-ng (3.0.1-1) experimental; urgency=low

  * New upstream version

 -- SZALAY Attila <sasa@debian.org>  Mon, 23 Feb 2009 20:47:41 +0100

syslog-ng (2.0.9-4.1) unstable; urgency=high

  * Non-maintainer upload; high priority due to the following security fix.
  * Add chdir() before chroot(), and exit if either fails. (Closes: #505791)
  * Fix typo in postrm. (Closes: #505797)
  * Fix path to DocBook XML DTD. (Closes: #477223)

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 23 Nov 2008 20:26:06 +0000

syslog-ng (2.0.9-4) unstable; urgency=low

  * Fixed init script to check /usr/sbin/syslog-ng instead of /sbin/syslog-ng. (Closes: #492363)
  * Added /dev/xconsole creation into restart and reload too. (Closes: #492585)
  * Added missing last paragraph to the README. (Closes: #477224)
  * Fixed documentation build problem. (Closes: #477223)

 -- SZALAY Attila <sasa@debian.org>  Sun, 27 Jul 2008 23:19:03 +0200

syslog-ng (2.0.9-3) unstable; urgency=low

  * Linked glib and libevtlog dinamically. (Closes: #482981)
    I do not agree with this change and I beleive that it will cause
    more problem than would have solved but I want that syslog-ng to go to
    lenny.
  * Fixed a possible probem in upgrading if /etc/syslog-ng is not exists.
  * Changed install root dir /usr

 -- SZALAY Attila <sasa@debian.org>  Thu, 24 Jul 2008 22:57:26 +0200

syslog-ng (2.0.9-2) unstable; urgency=low

  * Moved syslog-ng.persist file to /var/lib/syslog-ng. (Closes: #483369)

 -- SZALAY Attila <sasa@debian.org>  Wed, 23 Jul 2008 00:01:20 +0200

syslog-ng (2.0.9-1) unstable; urgency=low

  * New upstream version. (Closes: #397650, #447105)
  * Merged upstream patch to fix a possible segfault if optional file source
  is in use.
  * Added $remote_fs to LSB dependencies in init script to made it able to
  stop correctly. (Closes: #475456)

 -- SZALAY Attila <sasa@debian.org>  Sun, 20 Apr 2008 13:46:25 +0200

syslog-ng (2.0.8~1-1) unstable; urgency=low

  * New upstream version.
    - This version is not the official 2.0.8 but close to them.
  * Changed to git-based packaging to understand this and made it possible
  to team-maintaining syslog-ng.

 -- SZALAY Attila <sasa@debian.org>  Sun,  3 Feb 2008 15:57:09 +0100

syslog-ng (2.0.6-3) unstable; urgency=low

  * Fixed make distclean line to made it able to compile in buildd's.

 -- SZALAY Attila <sasa@debian.org>  Sun, 06 Jan 2008 22:55:33 +0100

syslog-ng (2.0.6-2) unstable; urgency=low

  * Raise standard version to 3.7.3
  * Do not ignore make distcleans errors.
  * Fixed a copy&paste bug in syslog-ng.conf.5 man page.
    (Closes: #414441) (The patch have been lost when I switch
    to version 2.0)
  * Changed syslog-ng reloading method in logrotate script to
    conform more init methods. (Closes: #417611)
  * Fixed the link to the reference guide. (Closes: #450582)
  * Added LDFLAGS="-Wl,--as-needed" to configure.in

 -- SZALAY Attila <sasa@debian.org>  Wed, 26 Dec 2007 01:06:08 +0100

syslog-ng (2.0.6-1) unstable; urgency=high

  * New upstream version.
  * This release addresses the following security issue:
    - A remote attacker can cause a denial of service (crash)
      via a crafted log message that is missing a whitespace
      at the end of the timestamp (CVE-2007-6437; Closes: #457334)

 -- SZALAY Attila <sasa@debian.org>  Sat, 22 Dec 2007 15:54:58 +0100

syslog-ng (2.0.5-3) unstable; urgency=low

  * Added watchfile.
  * Added anonymizer patch created by Micah Anderson. (Closes: #449569)

 -- SZALAY Attila <sasa@debian.org>  Thu, 08 Nov 2007 00:16:38 +0100



=== debian/watch ===
version=3
http://www.balabit.hu/downloads/files/syslog-ng/sources/ .*/sources/([\d\.]+)/.*

## syslog-ng 3.5.3

=== modules/afamqp/rabbitmq-c/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(rabbitmq-c "C")

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

# Follow all steps below in order to calculate new ABI version when updating the library
# NOTE: THIS IS UNRELATED to the actual project version
#
# 1. If the library source code has changed at all since the last update, then increment revision
# 2. If any interfaces have been added, removed, or changed since the last update, increment current and set revision to 0.
# 3. If any interfaces have been added since the last public release, then increment age.
# 4. If any interfaces have been removed since the last public release, then set age to 0.

set(RMQ_SOVERSION_CURRENT   1)
set(RMQ_SOVERSION_REVISION  0)
set(RMQ_SOVERSION_AGE       0)

math(EXPR RMQ_SOVERSION_MAJOR "${RMQ_SOVERSION_CURRENT} - ${RMQ_SOVERSION_AGE}")
math(EXPR RMQ_SOVERSION_MINOR "${RMQ_SOVERSION_AGE}")
math(EXPR RMQ_SOVERSION_PATCH "${RMQ_SOVERSION_REVISION}")

set(RMQ_VERSION ${RMQ_SOVERSION_MAJOR}.${RMQ_SOVERSION_MINOR}.${RMQ_SOVERSION_PATCH})
set(RMQ_SOVERSION ${RMQ_SOVERSION_MAJOR})

set(VERSION "0.2")

if (MSVC)
  set(CMAKE_C_FLAGS "/W4 /nologo ${CMAKE_C_FLAGS}")
elseif (CMAKE_COMPILER_IS_GNUCC)
  set(RMQ_C_FLAGS "-Wall -Wextra -pedantic -Wstrict-prototypes -Wcast-align -Wno-unused-function -fno-common")
  execute_process(COMMAND ${CMAKE_C_COMPILER} -dumpversion OUTPUT_VARIABLE GCC_VERSION)
  if (GCC_VERSION VERSION_GREATER 4.0 OR GCC_VERSION VERSION_EQUAL 4.0)
      set(RMQ_C_FLAGS "${RMQ_C_FLAGS} -fvisibility=hidden")
  endif()
  set(CMAKE_C_FLAGS "${RMQ_C_FLAGS} ${CMAKE_C_FLAGS}")
endif ()

if (NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE "Release" CACHE STRING "Choose the type of build, options are: Debug Release RelWithDebInfo MinSizeRel." FORCE)
endif()

#find python
find_package(PythonInterp REQUIRED)

#Determine Python Version:
if(PYTHON_EXECUTABLE)
  execute_process(COMMAND "${PYTHON_EXECUTABLE}" -c
    "import sys; sys.stdout.write(';'.join([str(x) for x in sys.version_info[:3]]))"
    OUTPUT_VARIABLE _VERSION
    RESULT_VARIABLE _PYTHON_VERSION_RESULT
    ERROR_QUIET)
  if(NOT _PYTHON_VERSION_RESULT)
    string(REPLACE ";" "." PYTHON_VERSION_STRING "${_VERSION}")
    list(GET _VERSION 0 PYTHON_VERSION_MAJOR)
    list(GET _VERSION 1 PYTHON_VERSION_MINOR)
    list(GET _VERSION 2 PYTHON_VERSION_PATCH)
    if(PYTHON_VERSION_PATCH EQUAL 0)
      # it's called "Python 2.7", not "2.7.0"
      string(REGEX REPLACE "\\.0$" "" PYTHON_VERSION_STRING "${PYTHON_VERSION_STRING}")
    endif()
  else()
    # sys.version predates sys.version_info, so use that
    execute_process(COMMAND "${PYTHON_EXECUTABLE}" -c "import sys; sys.stdout.write(sys.version)"
      OUTPUT_VARIABLE _VERSION
      RESULT_VARIABLE _PYTHON_VERSION_RESULT
      ERROR_QUIET)
    if(NOT _PYTHON_VERSION_RESULT)
      string(REGEX REPLACE " .*" "" PYTHON_VERSION_STRING "${_VERSION}")
      string(REGEX REPLACE "^([0-9]+)\\.[0-9]+.*" "\\1" PYTHON_VERSION_MAJOR "${PYTHON_VERSION_STRING}")
      string(REGEX REPLACE "^[0-9]+\\.([0-9])+.*" "\\1" PYTHON_VERSION_MINOR "${PYTHON_VERSION_STRING}")
      if(PYTHON_VERSION_STRING MATCHES "^[0-9]+\\.[0-9]+\\.[0-9]+.*")
        string(REGEX REPLACE "^[0-9]+\\.[0-9]+\\.([0-9]+).*" "\\1" PYTHON_VERSION_PATCH "${PYTHON_VERSION_STRING}")
      else()
        set(PYTHON_VERSION_PATCH "0")
      endif()
    else()
      # sys.version was first documented for Python 1.5, so assume
      # this is older.
      set(PYTHON_VERSION_STRING "1.4")
      set(PYTHON_VERSION_MAJOR "1")
      set(PYTHON_VERSION_MAJOR "4")
      set(PYTHON_VERSION_MAJOR "0")
    endif()
  endif()
  unset(_PYTHON_VERSION_RESULT)
  unset(_VERSION)
endif(PYTHON_EXECUTABLE)

# If we're running v3.x look for a 2to3 utility
if (PYTHON_VERSION_MAJOR GREATER 2)
  get_filename_component(PYTHON_EXE_DIR ${PYTHON_EXECUTABLE} PATH)
  find_program(PYTHON_2TO3_EXECUTABLE
    NAMES 2to3
    HINTS ${PYTHON_EXE_DIR}
    )

  if ("PYTHON_2TO3_EXECUTABLE-NOTFOUND" STREQUAL PYTHON_2TO3_EXECUTABLE)
    message(FATAL_ERROR "Unable to find 2to3 python utility, specify python 2.7 or specify 2to3 utility")
  endif ()
endif ()


#check for json or simplejson
execute_process(COMMAND ${PYTHON_EXECUTABLE} -c "import json"
  RESULT_VARIABLE CHECK_PYTHON_JSON_FAILED
)

if (CHECK_PYTHON_JSON_FAILED)
  execute_process(COMMAND ${PYTHON_EXECUTABLE} -c "import simplejson"
    RESULT_VARIABLE CHECK_PYTHON_SIMPLEJSON_FAILED
  )

  if (CHECK_PYTHON_SIMPLEJSON_FAILED)
    message(FATAL_ERROR "could not find a python that can 'import simplejson")
  endif (CHECK_PYTHON_SIMPLEJSON_FAILED)
endif (CHECK_PYTHON_JSON_FAILED)

include(TestCInline)

find_path(RABBITMQ_CODEGEN_DIR
  amqp_codegen.py
  PATHS ${CMAKE_CURRENT_SOURCE_DIR}/codegen
        ${CMAKE_CURRENT_SOURCE_DIR}/rabbitmq-codegen 
        ${CMAKE_CURRENT_SOURCE_DIR}/../rabbitmq-codegen
        DOC "Path to directory containing amqp_codegen.py (rabbitmq-codegen)"
        NO_DEFAULT_PATH
        )

if (RABBITMQ_CODEGEN_DIR STREQUAL "RABBITMQ_CODEGEN_DIR-NOTFOUND")
  message(SEND_ERROR "Cannot find amqp_codegen.py, did you forget to:\n\ngit submodule init\ngit submodule update\n?")
else ()
  message(STATUS "Using amqp_codegen.py in ${RABBITMQ_CODEGEN_DIR}")
endif()

set(AMQP_CODEGEN_DIR ${RABBITMQ_CODEGEN_DIR} CACHE PATH "Path to rabbitmq-codegen" FORCE)
mark_as_advanced(AMQP_CODEGEN_DIR)

find_package(POPT)
find_package(XmlTo)

if (POPT_FOUND AND XmlTo_FOUND)
  set(DO_DOCS ON)
endif()

option(BUILD_SHARED_LIBS "Build rabbitmq-c as a shared library" ON)
option(BUILD_EXAMPLES "Build Examples" ON)
option(BUILD_TOOLS "Build Tools (requires POPT Library)" ${POPT_FOUND})
option(BUILD_TOOLS_DOCS "Build man pages for Tools (requires xmlto)" ${DO_DOCS})
option(BUILD_TESTS "Build tests (run tests with make test)" ON)

if (WIN32 AND NOT BUILD_SHARED_LIBS)
  message(FATAL_ERROR "The rabbitmq-c library cannot be built as a static library on Win32. Set BUILD_SHARED_LIBS=ON to get around this.")
endif()

add_subdirectory(librabbitmq)

if (BUILD_EXAMPLES)
  add_subdirectory(examples)
endif ()

if (BUILD_TOOLS)
  if (POPT_FOUND)
    add_subdirectory(tools)
  else ()
    message(WARNING "POpt library was not found. Tools will not be built")
  endif ()
endif ()

if (BUILD_TESTS)
  enable_testing()
  add_subdirectory(tests)
endif (BUILD_TESTS)

set(prefix ${CMAKE_INSTALL_PREFIX})
set(exec_prefix ${CMAKE_INSTALL_PREFIX}/bin)
set(libdir ${CMAKE_INSTALL_PREFIX}/lib)
set(includedir ${CMAKE_INSTALL_PREFIX}/include)

configure_file(librabbitmq.pc.in ${CMAKE_CURRENT_BINARY_DIR}/librabbitmq.pc @ONLY)

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/librabbitmq.pc
  DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/pkgconfig
  )

=== modules/afamqp/rabbitmq-c/examples/CMakeLists.txt ===
include_directories(${LIBRABBITMQ_INCLUDE_DIRS})

if (WIN32)
    set(PLATFORM_DIR win32)
else (WIN32)
    set(PLATFORM_DIR unix)
endif (WIN32)

set(COMMON_SRCS
    utils.h
    utils.c
    ${PLATFORM_DIR}/platform_utils.c
    )

add_executable(amqp_sendstring amqp_sendstring.c ${COMMON_SRCS})
target_link_libraries(amqp_sendstring rabbitmq)

add_executable(amqp_rpc_sendstring_client amqp_rpc_sendstring_client.c ${COMMON_SRCS})
target_link_libraries(amqp_rpc_sendstring_client rabbitmq)

add_executable(amqp_exchange_declare amqp_exchange_declare.c ${COMMON_SRCS})
target_link_libraries(amqp_exchange_declare rabbitmq)

add_executable(amqp_listen amqp_listen.c ${COMMON_SRCS})
target_link_libraries(amqp_listen rabbitmq)

add_executable(amqp_producer amqp_producer.c ${COMMON_SRCS})
target_link_libraries(amqp_producer rabbitmq)

add_executable(amqp_consumer amqp_consumer.c ${COMMON_SRCS})
target_link_libraries(amqp_consumer rabbitmq)

add_executable(amqp_unbind amqp_unbind.c ${COMMON_SRCS})
target_link_libraries(amqp_unbind rabbitmq)

add_executable(amqp_bind amqp_bind.c ${COMMON_SRCS})
target_link_libraries(amqp_bind rabbitmq)

add_executable(amqp_listenq amqp_listenq.c ${COMMON_SRCS})
target_link_libraries(amqp_listenq rabbitmq)

=== modules/afamqp/rabbitmq-c/tests/CMakeLists.txt ===
include_directories(${LIBRABBITMQ_INCLUDE_DIRS})

if (MSVC)
  # No version of MSVC has inttypes.h, this uses the msinttypes
  #  Note this includes stdint.h which is either in 
  #  ../librabbitmq/win32/msinttypes or in a standard location
  include_directories(win32/msinttypes)
endif (MSVC)

add_executable(test_parse_url test_parse_url.c)
target_link_libraries(test_parse_url rabbitmq)
add_test(parse_url test_parse_url)

add_executable(test_tables test_tables.c)
target_link_libraries(test_tables rabbitmq)
add_test(tables test_tables)
configure_file(test_tables.expected ${CMAKE_CURRENT_BINARY_DIR}/tests/test_tables.expected COPY_ONLY)

## syslog-ng 3.1.3

=== debian/changelog ===
syslog-ng (3.1.3-3build1) oneiric; urgency=low

  * Rebuild for OpenSSL 1.0.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 17 May 2011 11:54:01 +0100

syslog-ng (3.1.3-3) unstable; urgency=high

  * Fix capability support for unix streams and files when dir_owner() and/or
    dir_group() is used (closes: #608791). Urgency set to high to fix this
    grave bug which can break logging.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Tue, 01 Feb 2011 19:26:21 +0100

syslog-ng (3.1.3-2) unstable; urgency=high

  * Security fix on kFreeBSD archs, don't set 7777 rigths on logfiles
    (closes: #608491).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sat, 01 Jan 2011 21:46:47 +0100

syslog-ng (3.1.3-1) unstable; urgency=medium

  * Medium urgency due to the number of serious bugs fixed.
  * New upstream version, fixing configuration version detection
    (closes: #603617).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sat, 27 Nov 2010 12:23:55 +0100

syslog-ng (3.1.2-3) unstable; urgency=low

  * Apply upstream patch for config file version detection.
  * Correct debian/watch .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 14 Nov 2010 07:53:04 +0100

syslog-ng (3.1.2-2) unstable; urgency=low

  * Don't set options on reload as it's not needed (closes: #599276).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Thu, 04 Nov 2010 18:24:36 +0100

=== debian/control ===
Source: syslog-ng
Section: admin
Priority: extra
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
Build-Depends: quilt, debhelper (>= 5), libnet1-dev, libevtlog-dev, libssl-dev, libwrap0-dev, libglib2.0-dev (>= 2.4), pkg-config, libdbi0-dev, libpcre3-dev, flex, bison, automake, autoconf, xsltproc, docbook-xsl, docbook-xml, libcap-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
Build-Conflicts: autoconf2.13
Standards-Version: 3.9.1

Package: syslog-ng
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, lsb-base (>= 3.0-6)
Recommends: logrotate
Suggests: libdbd-mysql, libdbd-pgsql, libdbd-sqlite3
Provides: system-log-daemon, linux-kernel-log-daemon
Conflicts: system-log-daemon, linux-kernel-log-daemon
Description: Next generation logging daemon
 Syslog-ng tries to fill the gaps original syslogd's were lacking:
   * powerful configurability
   * filtering based on message content
   * portability
   * better network forwarding

=== debian/watch ===
version=3
http://www.balabit.hu/downloads/files/syslog-ng/sources/ .*/sources/([\d\.]+)

## syslog-ng 3.1.4

=== debian/changelog ===
syslog-ng (3.1.4) syslogng31; urgency=low

  * New upstream version.

 -- BalaBit Development Team <devel@balabit.hu>  Sun, 02 Jan 2011 17:32:42 +0100

Local variables:
mode: debian-changelog
End:

## syslog-ng 3.2.4

=== debian/changelog ===
syslog-ng (3.2.4-1ubuntu1) oneiric; urgency=low

  * Build-depend on libdbi-dev rather than libdbi0-dev (LP: #625882).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 23 Aug 2011 10:49:08 +0100

syslog-ng (3.2.4-1) unstable; urgency=high

  * New upstream release, fixing infinite loop via PCRE and global. No CVE
    number yet, Vigil@nce id is 10648.
  * Remove all patches, they were applied upstream.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Mon, 16 May 2011 22:02:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: syslog-ng
 Section: admin
 Priority: extra
-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
-Build-Depends: quilt, debhelper (>= 5), libnet1-dev, libevtlog-dev, libssl-dev, libwrap0-dev, libglib2.0-dev (>= 2.4), pkg-config, libdbi0-dev, libpcre3-dev, flex, bison, automake, autoconf, xsltproc, docbook-xsl, docbook-xml, libcap-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
+Build-Depends: quilt, debhelper (>= 5), libnet1-dev, libevtlog-dev, libssl-dev, libwrap0-dev, libglib2.0-dev (>= 2.4), pkg-config, libdbi-dev, libpcre3-dev, flex, bison, automake, autoconf, autoconf-archive, xsltproc, docbook-xsl, docbook-xml, libcap-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
 Build-Conflicts: autoconf2.13
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 
 Package: syslog-ng
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Christoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
DESTDIR=`pwd`/debian/syslog-ng

export DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

DDEBUG=`if (echo $(DEB_BUILD_OPTIONS) | grep -q debug) then \
			echo "--enable-debug"; \
		else \
			echo ""; \
		fi`

configure: configure-stamp
configure-stamp:
	dh_testdir
#	aclocal
#	autoheader
	automake --foreign --add-missing
#	autoconf
	./configure --prefix=/usr \
               --enable-ssl \
               --enable-spoof-source \
               --enable-tcp-wrapper \
               $(DDEBUG) \
               --mandir=/usr/share/man \
               --sysconfdir=/etc/syslog-ng \
               --enable-dynamic-linking \
               --localstatedir=/var/lib/syslog-ng

	touch $@

build: build-stamp
build-stamp: configure
	dh_testdir
	$(MAKE) 
#	(cd doc; $(MAKE) reference/syslog-ng.html.tar.gz)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f configure-stamp build-stamp

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean 
	rm -f tests/functional/test.conf tests/functional/test-output.log
	rm -f config.log
#	rm -f depcomp aclocal.m4 install-sh missing mkinstalldirs configure
	rm -f doc/reference/syslog-ng.html.tar.gz
	rm -f doc/reference/syslog-ng.html/index.html src/cfg-grammar.c
	rm -f src/cfg-grammar.h src/cfg-lex.c ylwrap
	find . -name Makefile.in | xargs rm -f

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_install
#	dh_installdirs
	dh_installdocs NEWS

	# Add here commands to install the package into debian/syslog-ng/ .
	$(MAKE) install DESTDIR=$(DESTDIR)

	# Remove *.la files per policy 3.9.1.0
	find $(DESTDIR) -name \*.la | xargs rm -f

	# Fix config file for kfreebsd-*
ifeq ($(DEB_HOST_ARCH_OS), kfreebsd)
	sed -i 's/\/dev\/log/\/var\/run\/log/' debian/syslog-ng/etc/syslog-ng/syslog-ng.conf
endif
#	install -d -m 700 debian/syslog-ng/usr/share/doc/syslog-ng/html
	rm -f debian/syslog-ng/usr/share/doc/syslog-ng/INSTALL
	rmdir debian/syslog-ng/usr/libexec/
#	(cd debian/syslog-ng/usr/share/doc/syslog-ng/html; tar -xzvf ../../../../../../../doc/reference/syslog-ng.html.tar.gz; mv syslog-ng.html/* .; rmdir syslog-ng.html)

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installexamples
	dh_installinit --no-start -- defaults 10 90
	dh_installcron
	dh_installlogrotate
	dh_installlogcheck
	dh_installchangelogs ChangeLog
	dh_strip
	dh_lintian	# just for now
	dh_compress
	dh_fixperms
	dh_shlibdeps
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean configure binary-indep binary-arch binary

## syslog-ng 3.3.1.dfsg

=== debian/changelog ===
syslog-ng (3.3.1.dfsg-1ubuntu2) precise; urgency=low

  * Pre-Depends: dpkg (>= 1.15.6) for xz compression support.  Needed until
    after Ubuntu 12.04 LTS.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 19 Nov 2011 23:50:54 +0000

syslog-ng (3.3.1.dfsg-1ubuntu1) precise; urgency=low

  * debian/control: remove libsystemd-daemon-dev build-depends
  * debian/rules: remove --with-systemdsystemunitdir from
    override_dh_auto_configure.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Tue, 15 Nov 2011 08:48:02 -0600

syslog-ng (3.3.1.dfsg-1) unstable; urgency=low

  * New upstream release with important fixes from upstream git tree with
    non-free manpages removed.
  * Drop syslog-ng.conf(5) (closes: #496521).
  * syslog-ng(8) is generated, and does not mention -Q anymore
    (closes: #616069).
  * Supports CAP_SYSLOG on recent kernels (closes: #630172).
  * Does not use g_timeout_add_seconds anymore (closes: #609154).

  [ Gergely Nagy <algernon@madhouse-project.org> ]
  * Update debian/copyright to DEP-5 format.
  * Simplified the logrotate file by merging identical entries.
  * Include local configuration files from /etc/syslog-ng/conf.d/ (Closes:
    #609050).
  * Update syslog-ng.conf to be fully 3.3 compliant.
  * Compress both source and binaries (except the syslog-ng meta
    package) with xz, instead of gzip.
  * Use dpkg triggers to restart syslog-ng when appropriate.
  * Include DFSG-free manual pages for all binaries.
  * Build with Hardening enabled.
  * Mention syslog(3) in /etc/default/syslog-ng, instead of
    <linux/kernel.h> (Closes: #608605)
  * Support 'status' in the init script.
    Patch from Peter Eisentraut <petere@debian.org> (Closes: #644458)
  * Build-Depend on libevtlog-dev (>= 0.2.12-5~) for correct shlibs.
  * Use [linux-any] in Build-Depends instead of hardcoded links.
    (Closes: #634715)
  * Use $SYSLOGNG_OPTS in the init script when reloading syslog-ng.
    (Closes: #589081)

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Tue, 11 Oct 2011 14:30:48 +0200

=== debian/control ===
Source: syslog-ng
Section: admin
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
Build-Depends: debhelper (>= 8), dh-autoreconf, libnet1-dev, libevtlog-dev (>= 0.2.12-5~), libssl-dev, libmongo-client-dev, libjson0-dev, libwrap0-dev, libglib2.0-dev (>= 2.4), pkg-config, libdbi0-dev | libdbi-dev, libpcre3-dev, flex, bison, help2man, automake, autoconf, autoconf-archive, xsltproc, docbook-xsl, docbook-xml, libcap-dev [linux-any], hardening-includes
Build-Conflicts: autoconf2.13
Standards-Version: 3.9.2
Homepage: http://www.balabit.com/network-security/syslog-ng/opensource-logging-system

Package: syslog-ng
Architecture: all
Depends: ${misc:Depends}, syslog-ng-core (>= ${source:Upstream-Version}),
 syslog-ng-mod-sql,
 syslog-ng-mod-mongodb,
 syslog-ng-mod-json
Description: Next generation system logging daemon (metapackage)
 syslog-ng is an enhanced syslog daemon, supporting, amongst others:
  * Powerful configurability, while still being readable
  * Filtering on any part of the syslog message
  * Support for both legacy BSD and the new syslog protocol
  * Wide range of source and destination drivers, including TCP
    (plain, or over SSL/TLS), UDP, SQL, MongoDB
  * Also supports fine-grained output format control
  * Multi-threaded operation
 .
 The wide range of plugins make syslog-ng able to perform well in
 every situation, ranging from enterprise-class centralised
 deployments, through personal computers to ad-hoc connected networks.
 .
 This package is a metapackage, depending on the rest of syslog-ng,
 including all available plugins. It can be safely removed, if only
 parts of syslog-ng need to be installed.

Package: libsyslog-ng-3.3.1
Section: libs
Architecture: any
Pre-Depends: dpkg (>= 1.15.6)
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Next generation system logging daemon (private library)
 This package contains a semi-private library, used by both syslog-ng
 and its plugins.
 .
 It should not be used by anything else but syslog-ng and its plugins.

Package: libsyslog-ng-dev
Section: libdevel
Architecture: any
Pre-Depends: dpkg (>= 1.15.6)
Depends: libsyslog-ng-3.3.1 (= ${binary:Version}),
 ${misc:Depends}, ${perl:Depends},
 pkg-config, perl, flex, bison, libevtlog-dev (>= 0.2.12), libglib2.0-dev
Description: Next generation system logging daemon (development files)
 This package contains the headers and tools needed to build
 third-party plugins against syslog-ng, the next generation system
 logging daemon.

Package: syslog-ng-core
Architecture: any
Pre-Depends: dpkg (>= 1.15.6)
Depends: ${shlibs:Depends}, ${misc:Depends}, util-linux (>= 2.12-10)
Recommends: logrotate
Suggests: syslog-ng-mod-sql, syslog-ng-mod-mongodb, syslog-ng-mod-json
Provides: system-log-daemon, linux-kernel-log-daemon
Conflicts: system-log-daemon, linux-kernel-log-daemon
Replaces: syslog-ng (<< 3.3.0~)
Breaks: syslog-ng (<< 3.3.0~)
Description: Next generation system logging daemon (core)
 syslog-ng is an enhanced syslog daemon, supporting, amongst others:
  * Powerful configurability, while still being readable
  * Filtering on any part of the syslog message
  * Support for both legacy BSD and the new syslog protocol
  * Wide range of source and destination drivers, including TCP
    (plain, or over SSL/TLS), UDP, SQL, MongoDB
  * Also supports fine-grained output format control
  * Multi-threaded operation
 .
 The wide range of plugins make syslog-ng able to perform well in
 every situation, ranging from enterprise-class centralised
 deployments, through personal computers to ad-hoc connected networks.
 .
 This package provides the core syslog-ng, with all the plugins
 required for a standard installation.

Package: syslog-ng-mod-json
Architecture: any
Pre-Depends: dpkg (>= 1.15.6)
Depends: syslog-ng-core (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Next generation system logging daemon (JSON plugin)
 syslog-ng is an enhanced syslog daemon, supporting, amongst others:
  * Powerful configurability, while still being readable
  * Filtering on any part of the syslog message
  * Support for both legacy BSD and the new syslog protocol
  * Wide range of source and destination drivers, including TCP
    (plain, or over SSL/TLS), UDP, SQL, MongoDB
  * Also supports fine-grained output format control
  * Multi-threaded operation
 .
 The wide range of plugins make syslog-ng able to perform well in
 every situation, ranging from enterprise-class centralised
 deployments, through personal computers to ad-hoc connected networks.
 .
 This package provides the $(format-json) template function plugin,
 which makes it possible to conveniently serialize system log messages
 to JSON.

Package: syslog-ng-mod-mongodb
Architecture: any
Pre-Depends: dpkg (>= 1.15.6)
Depends: syslog-ng-core (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: mongodb-server
Description: Next generation system logging daemon (MongoDB plugin)
 syslog-ng is an enhanced syslog daemon, supporting, amongst others:
  * Powerful configurability, while still being readable
  * Filtering on any part of the syslog message
  * Support for both legacy BSD and the new syslog protocol
  * Wide range of source and destination drivers, including TCP
    (plain, or over SSL/TLS), UDP, SQL, MongoDB
  * Also supports fine-grained output format control
  * Multi-threaded operation
 .
 The wide range of plugins make syslog-ng able to perform well in
 every situation, ranging from enterprise-class centralised
 deployments, through personal computers to ad-hoc connected networks.
 .
 This package provides the MongoDB destination plugin, which allows
 one to log system messages to MongoDB.

Package: syslog-ng-mod-sql
Architecture: any
Pre-Depends: dpkg (>= 1.15.6)
Depends: syslog-ng-core (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: libdbd-mysql, libdbd-pgsql, libdbd-sqlite3
Description: Next generation system logging daemon (SQL plugin)
 syslog-ng is an enhanced syslog daemon, supporting, amongst others:
  * Powerful configurability, while still being readable
  * Filtering on any part of the syslog message
  * Support for both legacy BSD and the new syslog protocol
  * Wide range of source and destination drivers, including TCP
    (plain, or over SSL/TLS), UDP, SQL, MongoDB
  * Also supports fine-grained output format control
  * Multi-threaded operation
 .
 The wide range of plugins make syslog-ng able to perform well in
 every situation, ranging from enterprise-class centralised
 deployments, through personal computers to ad-hoc connected networks.
 .
 This package provides the SQL destination plugin, which allows one to
 log system messages to a multitude of SQL databases (including, but
 not limited to MySQL, PostgreSQL and SQLite).

=== debian/rules ===
#! /usr/bin/make -f
## debian/rules file for syslog-ng 3.3+
## (C) 2011 Gergely Nagy <algernon@madhouse-project.org>
##
## Released under the GPLv3+, see /usr/share/common-licenses/GPL-3 on
## Debian systems.

##
#* Environment setup
#
# If DEB_BUILD_OPTIONS has "debug" in it, we want to pass
# --enable-debug to configure.
#
# We also want to build in a separate build directory:
# debian/build-tree, because it's just so much easier to ignore files
# in there.
#
# By the way, if one wants to pass extra flags to configure, that can
# be done with EXTRA_CONFIGURE_OPTS, we don't override it, only append
# to it.
##
ifneq (,$(filter debug,$(DEB_BUILD_OPTIONS)))
	EXTRA_CONFIGURE_OPTS += --enable-debug
endif

export DH_OPTIONS += -O-Bdebian/build-tree

include /usr/share/hardening-includes/hardening.make

CFLAGS		?= $(shell dpkg-buildflags --get CFLAGS)
LDFLAGS		?= $(shell dpkg-buildflags --get LDFLAGS)
CFLAGS		+= $(HARDENING_CFLAGS)
LDFLAGS		+= $(HARDENING_LDFLAGS)

# For my own sanity, when debian/rules is ran without any argument,
# display something meaningful, instead of just running the first
# override.
help:
	dh $@

##
#* Overrides for dh_auto*
##

# Autoreconf needs two things:
# - m4 directories for the submodules, because otherwise it can
#   randomly fail.
# - We need to call autogen.sh instead of autoreconf.
override_dh_autoreconf:
	install -d lib/ivykis/m4 modules/afmongodb/libmongo-client/m4
	touch lib/ivykis/configure.gnu modules/afmongodb/libmongo-client/configure.gnu
	dh_autoreconf sh ./debian/autogen.sh

# Oh, the joys of configure!
# We pass down all appropriate options, along with EXTRA_CONFIGURE_OPTS.
# This also sets SOURCE_REVISION to the debian package version.
override_dh_auto_configure:
	SOURCE_REVISION=$(shell dpkg-parsechangelog | sed -n "/^Version:/s/^Version: /$(shell lsb_release -is)\//p") \
	dh_auto_configure -- \
		--prefix=/usr \
		--mandir=/usr/share/man \
		--sysconfdir=/etc/syslog-ng \
		--localstatedir=/var/lib/syslog-ng \
		--datadir=/usr/share/syslog-ng \
		\
		--enable-dynamic-linking \
		--enable-ssl \
		--enable-spoof-source \
		--enable-tcp-wrapper \
		--enable-sql \
		--enable-mongodb \
		--enable-json \
		--disable-systemd \
		\
		--with-libmongo-client=system \
		--with-ivykis=internal \
		--with-json=json-c \
		\
		--with-module-dir='$${exec_prefix}/lib/syslog-ng/$${VERSION}' \
		--with-default-modules="affile,afprog,afsocket,afuser,afsql,basicfuncs,csvparser,dbparser,syslogformat" \
		\
		${EXTRA_CONFIGURE_OPTS}

# After we've built syslog-ng itself, it's time to build the man pages
# aswell!
override_dh_auto_build:
	dh_auto_build
	${MAKE} -f debian/tools/help2man.mk all

# Tests. While tests are good, they're quite costy, and I'm not
# convinced they'd run on the buildds at all. Therefore, they're
# disabled.
override_dh_auto_test:

# Cleaning is another fun thing: make distclean will not remove
# everything we want to remove (ie, everything generated, no
# exceptions). So we do a bit of finding and remove a few things it
# missed. We also remove the m4 directories we created for autoreconf
# earlier.
override_dh_auto_clean:
	dh_auto_clean
	find . \( -name 'Makefile.in' -or \
		  -name 'aclocal.m4' -or \
		  -name 'configure' -or \
		  -name 'depcomp' -or -name 'missing' -or \
		  -name 'install-sh' -or -name 'ltmain.sh' -or \
		  -name 'ylwrap' -or \
		  -regex '.*/config\.\(sub\|guess\|h\.in\)' \) \
	     -exec rm '{}' \;
	rm -f m4/lt*.m4 m4/libtool.m4 m4/pkg.m4
	rm -rf lib/ivykis/m4 modules/afmongodb/libmongo-client/m4
	${MAKE} -f debian/tools/help2man.mk clean
	rm -rf debian/build-tree/

# We also want to install ivykis headers and whatnot, so override
# _auto_install, and do it too.
override_dh_auto_install:
	dh_auto_install
	${MAKE} -C debian/build-tree/lib/ivykis install DESTDIR=$(CURDIR)/debian/tmp
#ifeq (linux,$(shell dpkg-architecture -qDEB_BUILD_ARCH_OS))
#	cp -r debian/tmp/lib debian/syslog-ng-core/
#endif

##
#* Overrides for other debhelper commands
#
# Below are overrides for individual debhelper commands.
##

# Upstream installs the merge-grammar.pl as data, thus not
# executable. Yet, it needs to be, since the Makefiles that upstream
# also installs expect it so.
#
# So we simply flip a few bits after dh_install, and we're good to go!
override_dh_install:
	dh_install
ifneq (,$(filter libsyslog-ng-dev,$(shell dh_listpackages)))
	chmod +x debian/libsyslog-ng-dev/usr/share/syslog-ng/tools/merge-grammar.pl
endif

# Install the NEWS file as upstream changelog.
# Rationale: the ChangeLog file is an old artifact from the Arch
# times. It is not updated, and is obsolete.
override_dh_installchangelogs:
	dh_installchangelogs NEWS

# Init files and whatnot were moved to syslog-ng-core, but we want to
# retain the old filenames. Furthermore, the init script is now
# triggered by dpkg triggers, so the maintainer scripts should not
# stop, start or reload syslog-ng anymore.
override_dh_installinit:
	dh_installinit --no-start --name syslog-ng -- defaults 10 90

# Logrotate and Logcheck files were moved from syslog-ng to
# syslog-ng-core too, and like in init's case, we want to keep the old
# name.
override_dh_installlogrotate:
	dh_installlogrotate --name syslog-ng

override_dh_installlogcheck:
	dh_installlogcheck --name syslog-ng
	for f in $$(find debian/syslog-ng-core/etc/logcheck -type f -name 'syslog-ng-core'); do \
		mv $$f $$(dirname $$f)/syslog-ng; \
	done

# dh_makeshlibs wants to be clever and treat plugins as shared libs.
# Slap it in the face, and tell it not to.
override_dh_makeshlibs:
	dh_makeshlibs -Xusr/lib/syslog-ng

# Compress the .debs with xz, it reduces the size of syslog-ng-core by
# about 40%. Except, we don't compress the arch: all packages with it,
# because I want to reuse those even on systems that do not support
# data.tar.xz (lucid, I'm looking at you).
#
# Oh, and lucid doesn't like -Zxz anyway, so do a plain dh_builddeb
# there.
override_dh_builddeb:
	dh_builddeb -i
ifeq (lucid,$(shell lsb_release -cs))
	dh_builddeb -a
else
	dh_builddeb -a -- -Zxz
endif

##
#* Other, non-override targets
##

# Dummy build thingy, to work around upstream build/ dir.
build: build-stamp
build-stamp:
.PHONY: build-stamp

# And for the rest, there is debhelper!
%:
	dh $@ --with autoreconf

## syslog-ng 3.3.4.dfsg

=== debian/changelog ===
syslog-ng (3.3.4.dfsg-2ubuntu1) precise; urgency=low

  * Merge with Debian Testing (LP: #950799). Remaining Ubuntu changes:
    [ Colin Watson <cjwatson@ubuntu.com> ]
    + Pre-Depends: dpkg (>= 1.15.6) for xz compression support.  Needed
      until after Ubuntu 12.04 LTS.
    [ Serge Hallyn <serge.hallyn@ubuntu.com> ]
    + debian/control: remove libsystemd-daemon-dev build-depends
    + debian/rules: remove --with-systemdsystemunitdir from
      override_dh_auto_configure.

 -- Gergely Nagy <algernon@balabit.hu>  Fri, 09 Mar 2012 13:34:28 +0100

syslog-ng (3.3.4.dfsg-2) unstable; urgency=medium

  * Get important bugfixes from upstream git tree.
  * Correct short description of -dbg package (closes: #659119).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Thu, 16 Feb 2012 00:52:01 +0100

syslog-ng (3.3.4.dfsg-1) unstable; urgency=low

  * New upstream release:
    - remove backported patches as this release contains them,
    - fix FTBFS on Hurd, patch from Svante Signell <svante.signell@telia.com>
      (closes: #648987).
  * Add dfsg target to make the source DFSG compliant.
  * Use debhelper compatibility level 9 for hardening flags to be effective
    (closes: #655163).
  * Make the package multiarch.

  [ Gergely Nagy <algernon@madhouse-project.org> ]
  * Introduced a syslog-ng-dbg package.
  * Init script updates:
    + Silence mknod errors, they're not interesting, and adds noise on
    kFreeBSD.
    + Use set -e.
    + Use s-s-d's --oknodo options instead of checking the existence of a
    pidfile ourselves.
  * Refresh debian/copyright.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Wed, 01 Feb 2012 14:21:11 +0000

=== debian/control ===
--- 
+++ 
@@ -32,10 +32,34 @@
  including all available plugins. It can be safely removed, if only
  parts of syslog-ng need to be installed.
 
-Package: libsyslog-ng-3.3.1
+Package: syslog-ng-dbg
+Pre-Depends: dpkg (>= 1.15.6)
+Architecture: any
+Multi-Arch: same
+Section: debug
+Depends: syslog-ng-core (= ${binary:Version}), ${misc:Depends}
+Description: Next generation system logging daemon (debug symbols)
+ syslog-ng is an enhanced syslog daemon, supporting, amongst others:
+  * Powerful configurability, while still being readable
+  * Filtering on any part of the syslog message
+  * Support for both legacy BSD and the new syslog protocol
+  * Wide range of source and destination drivers, including TCP
+    (plain, or over SSL/TLS), UDP, SQL, MongoDB
+  * Also supports fine-grained output format control
+  * Multi-threaded operation
+ .
+ The wide range of plugins make syslog-ng able to perform well in
+ every situation, ranging from enterprise-class centralised
+ deployments, through personal computers to ad-hoc connected networks.
+ .
+ This package contains debug symbols for the whole of syslog-ng,
+ including the modules.
+
+Package: libsyslog-ng-3.3.4
+Pre-Depends: dpkg (>= 1.15.6), ${misc:Pre-Depends}
 Section: libs
 Architecture: any
-Pre-Depends: dpkg (>= 1.15.6)
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Next generation system logging daemon (private library)
  This package contains a semi-private library, used by both syslog-ng
@@ -44,10 +68,10 @@
  It should not be used by anything else but syslog-ng and its plugins.
 
 Package: libsyslog-ng-dev
+Pre-Depends: dpkg (>= 1.15.6)
 Section: libdevel
 Architecture: any
-Pre-Depends: dpkg (>= 1.15.6)
-Depends: libsyslog-ng-3.3.1 (= ${binary:Version}),
+Depends: libsyslog-ng-3.3.4 (= ${binary:Version}),
  ${misc:Depends}, ${perl:Depends},
  pkg-config, perl, flex, bison, libevtlog-dev (>= 0.2.12), libglib2.0-dev
 Description: Next generation system logging daemon (development files)
@@ -56,8 +80,9 @@
  logging daemon.
 
 Package: syslog-ng-core
+Pre-Depends: dpkg (>= 1.15.6)
 Architecture: any
-Pre-Depends: dpkg (>= 1.15.6)
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}, util-linux (>= 2.12-10)
 Recommends: logrotate
 Suggests: syslog-ng-mod-sql, syslog-ng-mod-mongodb, syslog-ng-mod-json
@@ -83,8 +108,9 @@
  required for a standard installation.
 
 Package: syslog-ng-mod-json
+Pre-Depends: dpkg (>= 1.15.6)
 Architecture: any
-Pre-Depends: dpkg (>= 1.15.6)
+Multi-Arch: foreign
 Depends: syslog-ng-core (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: Next generation system logging daemon (JSON plugin)
  syslog-ng is an enhanced syslog daemon, supporting, amongst others:
@@ -105,8 +131,9 @@
  to JSON.
 
 Package: syslog-ng-mod-mongodb
+Pre-Depends: dpkg (>= 1.15.6)
 Architecture: any
-Pre-Depends: dpkg (>= 1.15.6)
+Multi-Arch: foreign
 Depends: syslog-ng-core (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Suggests: mongodb-server
 Description: Next generation system logging daemon (MongoDB plugin)
@@ -127,8 +154,9 @@
  one to log system messages to MongoDB.
 
 Package: syslog-ng-mod-sql
+Pre-Depends: dpkg (>= 1.15.6)
 Architecture: any
-Pre-Depends: dpkg (>= 1.15.6)
+Multi-Arch: foreign
 Depends: syslog-ng-core (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Suggests: libdbd-mysql, libdbd-pgsql, libdbd-sqlite3
 Description: Next generation system logging daemon (SQL plugin)

=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 	EXTRA_CONFIGURE_OPTS += --enable-debug
 endif
 
-export DH_OPTIONS += -O-Bdebian/build-tree
+export DH_OPTIONS += -O-Bdebian/build-tree --dbg-package=syslog-ng-dbg
 
 include /usr/share/hardening-includes/hardening.make
 
@@ -37,6 +37,12 @@
 # override.
 help:
 	dh $@
+
+dfsg:
+	rm -f doc/man/loggen.1.in doc/man/pdbtool.1.in \
+	doc/man/syslog-ng-ctl.1.in doc/man/syslog-ng.8.in \
+	doc/man/syslog-ng.conf.5.in
+	cat debian/dfsg/remove_non_free_refs.patch | patch -p1
 
 ##
 #* Overrides for dh_auto*
@@ -159,9 +165,6 @@
 
 override_dh_installlogcheck:
 	dh_installlogcheck --name syslog-ng
-	for f in $$(find debian/syslog-ng-core/etc/logcheck -type f -name 'syslog-ng-core'); do \
-		mv $$f $$(dirname $$f)/syslog-ng; \
-	done
 
 # dh_makeshlibs wants to be clever and treat plugins as shared libs.
 # Slap it in the face, and tell it not to.
@@ -194,4 +197,5 @@
 
 # And for the rest, there is debhelper!
 %:
+	[ ! -f doc/man/loggen.1.in ] || (echo "Not DFSG free!"; exit 1;)
 	dh $@ --with autoreconf
